Name:           moblin-session
Version:        0.12
Release:        7%{?dist}
Summary:        Moblin User Experience Startup Scripts

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.moblin.org/
Source0:        http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
Source1:        moblin.desktop
Patch0:         moblin-session-mutter.patch
Patch1:         moblin-session-MC5.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  desktop-file-utils

%description
moblin-session manages a Moblin desktop session. It starts up the other core 
Moblin components and handles logout and saving the session.

%prep
%setup -q
%patch0 -p1 -b .mutter
%patch1 -p1 -b .MC5

%build
# nothing to build

%install
rm -rf %{buildroot}
install -D -p -m 755 moblin-xinitrc %{buildroot}%{_sysconfdir}/xdg/moblin/xinitrc
install -D -p -m 755 startmoblin %{buildroot}%{_bindir}/startmoblin
desktop-file-install --dir=%{buildroot}%{_datadir}/xsessions/ %{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%dir %{_sysconfdir}/xdg/moblin
%{_sysconfdir}/xdg/moblin/xinitrc
%{_bindir}/startmoblin
%{_datadir}/xsessions/moblin.desktop

%changelog
* Thu Dec 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-7
- Start MC5 not MC. Fixes #540693

* Wed Oct  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-6
- Shorten desktop name to plain Moblin

* Fri Aug 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-5
- Specify the moblin-netbook plugin so we get an interface on login

* Mon Aug 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-4
- Add patch to start mutter not metacity

* Mon Aug 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-3
- More review updates.

* Tue Jul 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-2
- Make package noarch, some spec updates from review

* Sat Jul 25 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-1
- New upstream 0.12 release

* Sun Jun 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.10-1
- Initial packaging
